# Uses of Class
javax.management.relation.RoleUnresolvedList

Packages that use RoleUnresolvedList
Package
Description
javax.management.relation
Provides the definition of the Relation Service.

- ## Uses of RoleUnresolvedList in javax.management.relation

  Methods in javax.management.relation that return RoleUnresolvedList
  Modifier and Type
  Method
  Description
  `RoleUnresolvedList`
  RoleResult.`getRolesUnresolved()`
  Retrieves list of roles unsuccessfully accessed.
  Methods in javax.management.relation with parameters of type RoleUnresolvedList
  Modifier and Type
  Method
  Description
  `boolean`
  RoleUnresolvedList.`addAll(int index, RoleUnresolvedList roleList)`
  Inserts all of the elements in the RoleUnresolvedList specified into this list, starting at the specified position, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
  `boolean`
  RoleUnresolvedList.`addAll(RoleUnresolvedList roleList)`
  Appends all the elements in the RoleUnresolvedList specified to the end of the list, in the order in which they are returned by the Iterator of the RoleUnresolvedList specified.
  `void`
  RoleResult.`setRolesUnresolved(RoleUnresolvedList unresolvedList)`
  Sets list of roles unsuccessfully accessed.
  Constructors in javax.management.relation with parameters of type RoleUnresolvedList
  Modifier
  Constructor
  Description
  ``
  `RoleResult(RoleList list, RoleUnresolvedList unresolvedList)`
  Constructor.